Summary: OP5 Monitor Product Config
Name: op5-monitor-product-config
Version: %{op5version}
Release: %{op5release}%{?dist}
BuildArch: noarch
License: GPLv2+
Group: Applications/System
URL: https://www.itrsgroup.com
Source0: %name-%version.tar.gz
Prefix: /opt/monitor/op5/ninja
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: op5-monitor-user
Requires: monitor-ninja
Requires: monitor-http-api
BuildRequires: php
BuildRequires: monitor-ninja-devel


%description
Provides OP5 Monitor configuration interface for initial configuration of the
product. This includes setup of the administrator user and snmpd user.


%package devel
Summary: OP5 Monitor product configuration development package
Group: Applications/System
Requires: gcc
Requires: chromedriver
Requires: php-phpunit-PHPUnit
Requires: monitor-ninja-test
Requires: ruby
Requires: ruby-devel
Requires: op5int_webtest



%description devel
Tests that the configuration interface is accessible and creates appropriate
configuration.


%prep
%setup -q


%build
make


%install
rm --recursive --force %{buildroot}
mkdir --parents --mode 755 %{buildroot}%{prefix}/modules/
cp --recursive ./setup %{buildroot}%{prefix}/modules/setup
install -D --mode 0440 op5snmp.sudo %buildroot/etc/sudoers.d/op5snmp


%clean
rm --recursive --force %{buildroot}


%files
%doc README.md
%dir %{prefix}/modules/setup
%{prefix}/modules/setup/*
/etc/sudoers.d/op5snmp


%files devel
%doc README.md


%changelog
* Mon May 31 2021 Axel Bolle <abolle@itrsgroup.com>
- Change devel-package install requirments.
* Tue May 25 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Change owner of installed files to root.
* Tue May 16 2017 Robin Hagman <rhagman@op5.com> 0.0.0-p0.g000000.20170519161515
- Initial RPM release
